#
# spec file for package flim (Version 1.14.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apel emacs emacs-nox
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apel autoconf automake binutils cracklib emacs emacs-nox gcc gdbm gettext libtool perl rpm

Name:         flim
License:      Unknown
Group:        Productivity/Editors/Emacs
Requires:     emacs emacs_program apel
Autoreqprov:  on
Summary:      An Emacs library for MIME
Version:      1.14.2
Release:      717
Source:       http://www.kanji.zinbun.kyoto-u.ac.jp/~tomo/comp/emacsen/lisp/flim/flim-1.14/flim-%{version}.tar.gz
Patch:        http://security.debian.org/pool/updates/main/f/flim/flim_1.14.3-9woody1.diff.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
For coding and de-coding of MIME messages.



Authors:
--------
    MORIOKA Tomohiko  <morioka@jaist.ac.jp>
    Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch -p 1
rm -fr debian
# ./configure --prefix=$RPM_BUILD_ROOT/usr

%build
pushd /
  [ -f usr/bin/emacs ] || ln -sf emacs-nox usr/bin/emacs
popd
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s EMACS=emacs \
  PREFIX=%{_prefix} \
  VERSION_SPECIFIC_LISPDIR=%{_prefix}/share/emacs/site-lisp/emu

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install EMACS=emacs  \
  PREFIX=$RPM_BUILD_ROOT%{_prefix} \
  VERSION_SPECIFIC_LISPDIR=%{_prefix}/share/emacs/site-lisp/emu
# make install.man
# Already part of Emacs
rm -f $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/flim/smtpmail.el*

%clean
rm -fr $RPM_BUILD_ROOT
[ -L /usr/bin/emacs ] && rm -f /usr/bin/emacs

%files
%doc README.en
%{_prefix}/share/emacs/site-lisp/flim

%changelog -n flim
* Mon May 24 2004 - ke@suse.de
- Apply security patch provided by Matt Zimmerman to fix insecure
  temporary file [DSA-500-1 / CAN-2004-0422].
* Mon Jun 23 2003 - schwab@suse.de
- Package is noarch.
- Remove smtpmail.el, already included in Emacs.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Mar 20 2001 - kukuk@suse.de
- Fix requires (emacs-nox -> emacs_program)
* Mon Mar 19 2001 - ke@suse.de
- Update to version 1.14.2 [#6736].
- Remove LC_CTYPE=ISO-8859-1 and EMACS_UNIBYTE=1.
- Use RPM macros.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 15 1999 - werner@suse.de
- Add export LC_CTYPE=ISO-8859-1 and export EMACS_UNIBYTE=1
  to build *and* install section
* Sun Sep 06 1998 - ke@suse.de
- initial package: version 1.9.1.
